<!DOCTYPE html>
<html lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>My-History</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css">
    <link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.2/css/all.min.css'>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.css" />
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" />
    <link rel="stylesheet" href="../dist/css/main.css" type="text/css" />
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">

    <link rel="stylesheet" href="https://fullcalendar.io/releases/core/4.0.1/main.min.css" />
    <link rel="stylesheet" href="https://fullcalendar.io/releases/daygrid/4.0.1/main.min.css" />
    <link rel="stylesheet" href="../dist/css/pages/attendance.css">
</head>

<body>
    <div class="sidenav leftSidebar expandedNav">
        <!-- for leftSidebar sidebar.js -->
    </div>
    <nav class="navbar-header">
        <!-- for topnavigation bar topbar.js -->
    </nav>
    <!-- leftSidebar -->
    <div class="col-md-12 col-sm-12 col-xs-12 no-padding">
        <div class="headerTop">
            <div class="tabsContainer">
                <h2 class="mainHeading">Attendance</h2>
                <ul class="tabs mb-0">
                    <li>
                        <a href="#">MY CHECK-IN</a>
                    </li>
                    <li>
                        <a href="#">REVIEW & APPROVALS</a>
                    </li>
                </ul>
                <div class="toggleSideBar">
                    <ul>
                        <li>
                            <a href="#" class="togglePopup" id="toggleRightSidebar">
                                <svg width="27" height="17" viewBox="0 0 17 17" fill="none"
                                    xmlns="http://www.w3.org/2000/svg">
                                    <path fill-rule="evenodd" clip-rule="evenodd"
                                        d="M7.92917 4.4625V4.9625H8.42917H11.8917V10.2H12.8917V4.9625V4.4625L12.3917 3.9625L10.4125 1.98333L8.92917 0.5L8.42917 0H7.92917H6.44583H2C0.89543 0 0 0.89543 0 2V13.8667C0 14.9712 0.895431 15.8667 2 15.8667H3.4V14.8667H2C1.44772 14.8667 1 14.419 1 13.8667V2C1 1.44772 1.44772 1 2 1H6.44583H7.92917V4.4625ZM9.70539 2.69044L8.92917 1.91421V3.9625H10.9775L9.70539 2.69044Z"
                                        fill="#869094" />
                                    <rect x="6.7998" y="6.80005" width="1.13333" height="3.4" fill="#869094" />
                                    <rect x="3.40039" y="4.53345" width="1.13333" height="5.66667" fill="#869094" />
                                    <path
                                        d="M10.3067 14.1666C10.314 14.4872 10.0809 14.7437 9.78953 14.7357C9.50547 14.7357 9.27239 14.4792 9.27239 14.1666C9.27239 12.6036 10.4268 11.3333 11.8472 11.3333L14.4256 11.3333C15.8459 11.3333 17.0003 12.6036 17.0003 14.1666C17.0003 15.7295 15.8459 16.9999 14.4256 16.9999H13.3403C13.6426 16.6753 13.8939 16.2946 14.0759 15.8698L14.4219 15.8658C15.2777 15.8698 15.9697 15.1084 15.966 14.1666C15.9697 13.2248 15.2777 12.4634 14.4219 12.4674H11.8508C10.995 12.4634 10.303 13.2248 10.3067 14.1666ZM12.8778 13.5975C13.1618 13.5975 13.3949 13.854 13.3949 14.1666C13.3949 15.7295 12.2405 16.9999 10.8202 16.9999H8.24176C6.82145 16.9999 5.66699 15.7295 5.66699 14.1666C5.66699 12.6036 6.82145 11.3333 8.24176 11.3333L9.32702 11.3333C9.02475 11.6579 8.77346 12.0386 8.58773 12.4674H8.2454C7.38957 12.4634 6.69763 13.2248 6.70127 14.1666C6.69763 15.1084 7.38957 15.8698 8.2454 15.8658H10.8165C11.6723 15.8698 12.3643 15.1084 12.3607 14.1666C12.3534 13.846 12.5864 13.5895 12.8778 13.5975Z"
                                        fill="#869094" />
                                </svg>
                                Reports & Links
                                <img class="angle pr-0" src="../dist/images/angledown.png" alt="user">
                            </a>
                            <div class="popup" id="toggledivSidebar">
                                <div class="rightSidebar">
                                    <div class="reportsLinks mt-2">
                                        <h3 class="reports">Reports</h3>
                                        <p class="PDFfile">
                                            <a href="#"><img src="../dist/images/doc_pdf.png" alt="pdf"> My
                                                Attendance</a>
                                        </p>
                                        <p class="PDFfile">
                                            <a href="#"><img src="../dist/images/doc_pdf.png" alt="pdf"> Team
                                                Attendance</a>
                                        </p>
                                    </div>
                                    <div class="relatedLinks mt-4">
                                        <h3>Related Links</h3>
                                        <p class="PDFfile">
                                            <a href="#"><img src="../dist/images/pdf.png" alt="pdf"> View Policy</a>
                                        </p>
                                        <p class="PDFfile">
                                            <a href="#"><img src="../dist/images/green_doc.png" alt="pdf"> View All
                                                Attendances</a>
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </li>
                    </ul>

                </div>
            </div>
        </div>
        <div class="main rightContentArea">
            <div class="tab">
                <!-- / tabs -->
                <div class="tab_content">
                    <div class="tabs_item innerContent">
                        <div class="row ml-0 mr-0">
                            <div class="tableShorting">
                                <div class="sectionHeadingContainer">
                                    <div class="sectionHeading">
                                        <a href="#">
                                            <div data-toggle="tooltip" title="Back" data-placement="top"
                                                class="backButton d-flex align-items-center">
                                                <svg style="width:20px;height:20px;" viewBox="0 0 24 24">
                                                    <path fill="#000000"
                                                        d="M20,11V13H8L13.5,18.5L12.08,19.92L4.16,12L12.08,4.08L13.5,5.5L8,11H20Z">
                                                    </path>
                                                </svg>
                                            </div>
                                        </a><span class="pipe"></span>
                                        <h3><a href="#attendanceRegularisationPopup" rel="modal:open">Attendance
                                                History</a></h3>
                                    </div>
                                </div>
                                <div class="content">
                                    <div id="calendar" class="octaneCalender"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tabs_item innerContent">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="regAttendance" title="Attendance Regularization">
        <div class="row mt-4">
            <div class="col-md-6 col-sm-12 col-xs-12 mt-2 AttendanceDateInput">
                <div class="fields mr-4 mb-4">
                    <label for="currentDate">DATE </label>
                    <input type="text" id="currentDate" name="currentDate" disabled />
                </div>
                <p class="mt-3">I was</p>
            </div>
            <div class="col-md-2 col-sm-12 col-xs-12 mt-2 pl-0">
                <div class="fields mb-4 mt-4">
                    <select id="presentAbsent" name="presentAbsent">
                        <option value="present" selected="">Present</option>
                        <option value="on leave">On Leave</option>
                    </select>
                </div>
            </div>
            <div class="col-md-3 col-sm-12 col-xs-12 mt-2">
                <div class="fields mb-4 mt-4">
                    <select id="presentTime" name="presentTime">
                        <option value="full day" selected="">Full Day</option>
                        <option value="first half">First Half</option>
                        <option value="second half">Second Half</option>
                    </select>
                </div>

            </div>
        </div>
        <div class="row marginNone">
            <div class="fields">
                <label for="reason">Remarks </label>
                <textarea name="desc" id="reason" cols="75" rows="5"
                    placeholder="Add the remarks for attendance regularization"></textarea>
            </div>
        </div>
        <div class="row marginNone closeBtn mt-4">
            <button type="button" id="approveBtn" class="oct-btn oct-btn-primary mt-0">Submit</button>
            &nbsp;
            <a class="clearButton mt-1" href="#close-modal" rel="modal:close">Clear</a>
        </div>
    </div>

    <div id="attendanceRegularisationPopup" class="modal filterTablePopup" style="max-width: 568px !important;">
        <form name="filterFrm1" id="filterFrm1">
            <!-- filter popup model content-->
            <h4>Attendance Regularization</h4>
            <div class="row no-padding">
                <div class="fields mr-4 mb-4">
                    <label for="currentDate">Date </label>
                    <input type="text" id="currentDate" name="currentDate" disabled="">
                </div>
                <div class="radioButttonStyling mb-2">
                    <h3>I Was</h3>
                    <label for="ticketRequiredYes" class="radio ">
                        <input type="radio" name="ticket" id="ticketRequiredYes" checked="" class="hidden leaveOptions" value="1">
                        <span class="label"></span>Present
                    </label>

                    <label for="ticketRequiredNo" class="radio">
                        <input type="radio" name="ticket" id="ticketRequiredNo"  class="hidden leaveOptions" value="2">
                        <span class="label"></span>On Leave
                    </label>
                </div>
                <div class="fields mb-4 ml-3">
                    <label for="shift" class="labelGroup">Day Shift <span class="mandatorySign">*</span></label>
                    <select style="width: 155px;" class="mandatory" id="shift" name="shift">
                        <option value="" selected="selected" hidden="hidden">Select the
                            Shift</option>
                        <option value="wholeDay">Whole Day</option>
                        f<option value="firstHalf">First Half</option>
                        <option value="secondHalf">Second Half </option>
                    </select>
                </div>
            </div>


            <div class="row no-padding timeRow">
                <div class="fields mr-4 mb-4 inputBoxIcon">
                    <label for="timing" class="labelGroup">Timing <span class="mandatorySign">*</span></label>
                    <input class="mandatory hasDatepicker" type="text" id="timing" name="timing"
                        placeholder="HH:MM">
                  
                </div>
                <div class="fields mb-4 inputBoxIcon pt-4">
                    <input class="mandatory hasDatepicker" type="text" id="timing" name="timing"
                        placeholder="HH:MM">
                   
                </div>
            </div>
			
			         <div class="row no-padding leaveHeadRow hide">
                <div class="fields mr-4 mb-4 inputBoxIcon">
                    <label for="Leave Head" class="labelGroup">Leave Head <span class="mandatorySign">*</span></label>
                     <select style="width: 155px;" class="mandatory" id="leaveHead" name="leaveHead">
                        <option value="" selected="selected" hidden="hidden">Select the
                            Shift</option>
                        <option value="onrellLeave">Onroll Leave</option>
                       

                    </select>
                  
                </div>
                <div class="fields mb-4 inputBoxIcon pt-4 disabledFields">
                    <input class="mandatory hasDatepicker" disabled type="text" id="timing" name="timing"
                        placeholder="">
                   
                </div>
            </div>
     
            <div class="fields mb-4">
                <label for="remarks" class="labelGroup">Remarks <span class="mandatorySign">*</span></label>
                <textarea class="mandatory" name="remarks" cols="40" rows="8" placeholder="State the reason for the course request" id="remarks"></textarea>
            </div>
            <button class="oct-btn oct-btn-primary mt-4">Save</button>  <button class="oct-btn oct-btn-outline">Clear</button>

        </form>
    </div>


    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.24.0/moment.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.js"></script>
    <script src="https://cdn.jsdelivr.net/jquery.validation/1.15.1/jquery.validate.min.js"></script>
    <script src="../dist/js/sidebar.js"></script>
    <script src="../dist/js/topbar.js"></script>
    <script src="../dist/js/octane.js"></script>

    <script src="https://fullcalendar.io/releases/core/4.0.1/main.min.js"></script>
    <script src="https://fullcalendar.io/releases/daygrid/4.0.1/main.min.js"></script>
    <script src="../dist/js/attendance.js"></script>

    <script>
	$(".leaveOptions").click(function () {
	
		if($(this).val()=='2'){
			$('.leaveHeadRow').show();
			$('.timeRow').hide();
		}else{
			$('.leaveHeadRow').hide();
			$('.timeRow').show();
		}
	});
	
        $('#regAttendance').dialog({
            autoOpen: false,
            modal: true,
            width: 700,
            height: 430
        });

        let calendarEl = document.getElementById("calendar");
        let calendar = new FullCalendar.Calendar(calendarEl, {
            plugins: ["dayGrid"],
            header: {
                left: "prevYear,prev",
                center: "title",
                right: "next,nextYear"
            },
            footer: {
                left: "",
                center: "",
                right: ""
            },
            columnFormat: {
                month: 'dddd'
            },
            eventClick: function (info) {
                let days = ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
                let months = ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sept", "Oct", "Nov",
                    "Dec"
                ];

                let date = months[info.event.start.getMonth()] + " " + info.event.start.getDate() + ", " +
                    info.event.start.getFullYear();

                $('#currentDate').val(date);
                $('#regAttendance').dialog('open');
            },
            eventRender: function (info) {
                if (info.event.title.match(/[0-9]\d+/g)) {
                    setCheckInOut(info.event.title.split(' '));
                }

                function setCheckInOut(checkInOutTime) {
                    let checkInMode = checkInOutTime[0];
                    let checkInTime = checkInOutTime[1];
                    let checkOutMode = checkInOutTime[2];
                    let checkOutTime = checkInOutTime[3];

                    checkInTimeHTMl =
                        "<div class='checkInTime'><i class='material-icons' style=' font-size:20px'>" + (
                            checkInMode === 'bio' ? 'fingerprint' : 'public') +
                        "</i> <span>In &nbsp;&nbsp;&nbsp;&nbsp;-&nbsp; " + moment.unix(
                            checkInTime).format('hh:mm a') + "</span></div>";

                    checkOutTimeHTMl =
                        "<div class='checkOutTime'> <i class='material-icons' style='font-size:20px'>" + (
                            checkOutMode === 'bio' ? 'fingerprint' : 'public') +
                        "</i> <span>Out &nbsp;-&nbsp; " + moment
                        .unix(checkOutTime).format('hh:mm a') + "</span></div>";

                    info.el.children[0].children[0].innerHTML = checkInTimeHTMl + " " + checkOutTimeHTMl;
                }
            },
            events: [{
                title: "Off",
                daysOfWeek: [0],
                textColor: "#000 !important"
            }, {
                title: "Ram Navami",
                start: "2019-04-13"
            }, {
                title: "Mahavir Jayanti",
                start: "2019-04-17"
            }, {
                title: "On Leave",
                start: "2019-04-01"
            }, {
                title: "bio 1551499023 web 1554214665",
                start: "2019-04-02",
                classNames: ["checkInOutData"]
            }, {
                title: "web 1554353325 bio 1551708903",
                start: "2019-04-04",
                classNames: ["checkInOutData"]
            }, {
                title: "bio 1551758043 bio 1551791043",
                start: "2019-04-05",
                classNames: ["checkInOutData"]
            }]
        });

        calendar.render();
    </script>
</body>

</html>